> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get available REST API versions

GET https://demo.docusign.net/restapi/service_information

Retrieves the available REST API versions.

DocuSign Production system: https://www.docusign.net/restapi/service_information
DocuSign Demo system: https://demo.docusign.net/restapi/service_information

You do not need an integrator key to view the REST API versions and resources.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/diagnostics/services/get

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Response

### 200

Successful response.

- `buildBranch` (string, optional) — Reserved: TBD
- `buildBranchDeployedDateTime` (string, optional) — Reserved: TBD
- `buildSHA` (string, optional) — Reserved: TBD
- `buildVersion` (string, optional) — Reserved: TBD
- `linkedSites` (list of string, optional)
- `serviceVersions` (list of serviceVersion, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### serviceVersion

- `version` (string, optional) — The version of the rest API.
- `versionUrl` (string, optional)

## Examples

**Response**

```json
{
  "buildBranch": "string",
  "buildBranchDeployedDateTime": "string",
  "buildSHA": "string",
  "buildVersion": "string",
  "linkedSites": [
    "string"
  ],
  "serviceVersions": [
    {
      "version": "string",
      "versionUrl": "string"
    }
  ]
}
```